net.corda.node.services.network

## Class NetworkMapService.FetchMapRequest

- net.corda.node.services.network.NetworkMapService.FetchMapRequest

- All Implemented Interfaces:
    ServiceRequestMessage
  Enclosing interface:
    NetworkMapService

      public static class NetworkMapService.FetchMapRequest
      implements ServiceRequestMessage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FetchMapRequest(boolean subscribe, java.lang.Integer ifChangedSinceVersion, SingleMessageRecipient replyTo, long sessionID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getIfChangedSinceVersion()`
    `SingleMessageRecipient` | `getReplyTo()`
    `long` | `getSessionID()`
    `boolean` | `getSubscribe()`

    - ### Methods inherited from interface net.corda.flows.ServiceRequestMessage

      `getReplyTo, getSessionID`

- - ### Constructor Detail

    - #### FetchMapRequest

          public FetchMapRequest(boolean subscribe,
                                 java.lang.Integer ifChangedSinceVersion,
                                 SingleMessageRecipient replyTo,
                                 long sessionID)

  - ### Method Detail

    - #### getSubscribe

          public boolean getSubscribe()

    - #### getIfChangedSinceVersion

          public java.lang.Integer getIfChangedSinceVersion()

    - #### getReplyTo

          public SingleMessageRecipient getReplyTo()

    - #### getSessionID

          public long getSessionID()